# $Revision: 1.3.2.2 $, $Date: 2003/04/28 12:51:53 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sort
%define		pnam	Naturally
Summary:	Sort::Naturally Perl module - sort lexically, but sort numeral parts numerically
Summary(pl):	Modu Perla Sort::Naturally - sortujcy leksykalnie, ale liczby numerycznie
Name:		perl-Sort-Naturally
Version:	1.01
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sort::Naturally module exports two functions, nsort and ncmp; they are
used in implementing my idea of a "natural sorting" algorithm. Under
natural sorting, numeric substrings are compared numerically, and
other word-characters are compared lexically.

%description -l pl
Modu Sort::Naturally ma wyeksportowane dwie funkcje: nsort i ncmp. S
one implementacj algorytmu "naturalnego sortowania". W algorytmie tym
podcigi numeryczne s sortowane numerycznie, a pozostae znaki -
leksykalnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitelib}/Sort/Naturally.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Sort-Naturally.spec,v $
Revision 1.3.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.3.2.1  2003/03/13 00:58:42  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:38:16  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/20 23:11:03  qboosh
- new

